Forestreet can be integrated into your internal applications using an iFrame. This allows you to use Forestreet’s features within your existing applications without needing to build a separate UI. An iFrame integration is possible with the following steps:Documentation Index
Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
Use this file to discover all available pages before exploring further.
Create a login session with your API Key
Your application backend should call
the
GET /v2/auth/session endpoint to create a timed session with your API Key. This
will return a session ID token.Embed the iFrame
Your application backend then
embeds an iFrame in your application frontend, with the Session ID appended to the URL
as a query parameter. The URL should look like this:
iframe-integration.html